## univention-management-console 12.0.12-3A~5.0.0.202105141118

=== debian/changelog ===
univention-management-console (12.0.12-3A~5.0.0.202105141118) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 14 May 2021 11:18:37 +0200

univention-management-console (12.0.12-3) unstable; urgency=medium

  * Bug #53226: remove StartupDialog code

 -- Johannes Keiser <keiser@univention.de>  Fri, 14 May 2021 11:11:20 +0200

univention-management-console (12.0.12-2) unstable; urgency=medium

  * Bug #53225: add 'location' param to /univention/logout/

 -- Johannes Keiser <keiser@univention.de>  Fri, 14 May 2021 11:10:08 +0200

univention-management-console (12.0.12-1) unstable; urgency=medium

  * Bug #53240: workaround UMC access for Safari browsers

 -- Florian Best <best@univention.de>  Wed, 12 May 2021 12:25:30 +0200

univention-management-console (12.0.11-8) unstable; urgency=medium

  * Bug #53108: Make UCS build reproducible

 -- Philipp Hahn <hahn@univention.de>  Thu, 06 May 2021 17:52:11 +0200

univention-management-console (12.0.11-7) unstable; urgency=medium

  * Bug #53109: Fix a bug when reloading modules without an overview

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 30 Apr 2021 00:47:46 +0200

univention-management-console (12.0.11-6) unstable; urgency=medium

  * Bug #52453: adjust header and menus

 -- Johannes Keiser <keiser@univention.de>  Tue, 27 Apr 2021 10:54:16 +0200

univention-management-console (12.0.11-5) unstable; urgency=medium

  * Bug #53147: Add welcome to the default favorites

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 27 Apr 2021 02:27:34 +0200

univention-management-console (12.0.11-4) unstable; urgency=medium

  * Bug #52941: /umc/ should now redirect to /univention/umc/ (portal)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 22 Apr 2021 09:31:20 +0200

univention-management-console (12.0.11-3) unstable; urgency=medium

  * Bug #52198: Fix translation of pwquality error messages

 -- Julia Bremer <bremer@univention.de>  Sat, 27 Mar 2021 13:41:54 +0100

univention-management-console (12.0.11-2) unstable; urgency=medium

  * Bug #52941: Change category colors

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 26 Mar 2021 23:19:57 +0100

univention-management-console (12.0.11-1) unstable; urgency=medium

  * Bug #52941: create missing PNG image from SVGs during build

 -- Florian Best <best@univention.de>  Wed, 24 Mar 2021 12:58:51 +0100

univention-management-console (12.0.10-1) unstable; urgency=medium

  * Bug #51508: remove obsolete exceptions from UCS 3.0

 -- Florian Best <best@univention.de>  Tue, 23 Mar 2021 19:41:35 +0100

univention-management-console (12.0.9-2) unstable; urgency=medium

  * Bug #52453: remove unused image

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Mar 2021 08:15:25 +0100

univention-management-console (12.0.9-1) unstable; urgency=medium

  * Bug #52935: allow localhost (::1, 127.0.0.1) to use sessions from
    any IP

 -- Florian Best <best@univention.de>  Wed, 17 Mar 2021 14:52:02 +0100

univention-management-console (12.0.8-9) unstable; urgency=medium

  * Bug #52897: meta.json needs to be publicly accessible so that it can be
    fetched without involving UMC. UMC can still enrich it if needed (i.e. if
    the user is logged in)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 11 Mar 2021 15:41:03 +0100

univention-management-console (12.0.8-8) unstable; urgency=medium

  * Bug #52453: adjust styling of login site

 -- Johannes Keiser <keiser@univention.de>  Fri, 05 Mar 2021 10:59:18 +0100

univention-management-console (12.0.8-7) unstable; urgency=medium

  * Bug #52453: adjust styling of StartupDialog

 -- Johannes Keiser <keiser@univention.de>  Fri, 05 Mar 2021 07:44:31 +0100

univention-management-console (12.0.8-6) unstable; urgency=medium

  * Bug #52188: added pam/krb5/ticket_after_pwchange

 -- Felix Botner <botner@univention.de>  Tue, 02 Mar 2021 09:48:18 +0100

univention-management-console (12.0.8-5) unstable; urgency=medium

  * Bug #52453: adjust module search behaviour

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Feb 2021 09:53:24 +0100

univention-management-console (12.0.8-4) unstable; urgency=medium

  * Bug #52764: delete old saml session cache during the upgrade to UCS 5.0

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 17 Feb 2021 17:23:20 +0100

univention-management-console (12.0.8-3) unstable; urgency=medium

  * Bug #52535: prevent KeyError when session timer has already been
    removed

 -- Florian Best <best@univention.de>  Tue, 09 Feb 2021 12:29:31 +0100

univention-management-console (12.0.8-2) unstable; urgency=medium

  * Bug #52453: add mobile tabs

 -- Johannes Keiser <keiser@univention.de>  Tue, 09 Feb 2021 08:10:12 +0100

univention-management-console (12.0.8-1) unstable; urgency=low

  * Bug #42235 UMC: Remove broken upgrade code

 -- Philipp Hahn <hahn@univention.de>  Mon, 01 Feb 2021 17:38:44 +0100

univention-management-console (12.0.7-2) unstable; urgency=medium

  * Bug #52453: revert cleanup

 -- Johannes Keiser <keiser@univention.de>  Mon, 01 Feb 2021 08:41:43 +0100

univention-management-console (12.0.7-1) unstable; urgency=medium

  * Bug #52686: fix logging of univention-debug

 -- Florian Best <best@univention.de>  Fri, 29 Jan 2021 13:05:21 +0100

univention-management-console (12.0.6-4) unstable; urgency=medium

  * Bug #25197: fix broken evaluation of disallowing option pattern

 -- Florian Best <best@univention.de>  Thu, 28 Jan 2021 22:00:38 +0100

univention-management-console (12.0.6-3) unstable; urgency=medium

  * Bug #52453: cleanup

 -- Johannes Keiser <keiser@univention.de>  Tue, 26 Jan 2021 09:27:51 +0100

univention-management-console (12.0.6-2) unstable; urgency=medium

  * Bug #52453: adjust property access

 -- Johannes Keiser <keiser@univention.de>  Mon, 25 Jan 2021 11:38:57 +0100

univention-management-console (12.0.6-1) unstable; urgency=medium

  * Bug #52665: fix XSS vulnerability



## univention-management-console 12.0.12-6A~5.0.0.202106211305

=== debian/changelog ===
univention-management-console (12.0.12-6A~5.0.0.202106211305) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Jun 2021 13:05:02 +0200

univention-management-console (12.0.12-6) unstable; urgency=medium

  * Bug #53390: adjust font on category colors

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 12:35:34 +0200

univention-management-console (12.0.12-5) unstable; urgency=medium

  * Bug #53390: fix breaking xml parsing

 -- Johannes Keiser <keiser@univention.de>  Tue, 15 Jun 2021 06:36:02 +0200

univention-management-console (12.0.12-4) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:32:43 +0200

## univention-management-console 12.0.12-9A~5.0.0.202106241501

=== debian/changelog ===
univention-management-console (12.0.12-9A~5.0.0.202106241501) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 24 Jun 2021 15:01:02 +0200

univention-management-console (12.0.12-9) unstable; urgency=medium

  * Bug #51242: make it possible to set secure cookies

 -- Florian Best <best@univention.de>  Thu, 24 Jun 2021 14:57:06 +0200

univention-management-console (12.0.12-8) unstable; urgency=medium

  * Bug #53508: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 24 Jun 2021 14:43:25 +0200

univention-management-console (12.0.12-7) unstable; urgency=medium

  * Bug #53508: Login cookie can now be configured to be deleted when browser
    is closed

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 24 Jun 2021 13:01:23 +0200

## univention-management-console 12.0.12-10A~5.0.0.202108091234

=== debian/changelog ===
univention-management-console (12.0.12-10A~5.0.0.202108091234) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 09 Aug 2021 12:34:10 +0200

univention-management-console (12.0.12-10) unstable; urgency=medium

  * Bug #53436: fix third party SP initiated SAML Logout

 -- Florian Best <best@univention.de>  Mon, 09 Aug 2021 12:21:46 +0200

=== umc-module-templates/debian/rules ===
#!/usr/bin/make -f
#
# Univention Management Console Module
#  rules file for the debian package
#
# Copyright YEAR Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with python2,python3,umc

## univention-management-console 12.0.12-12A~5.0.0.202108311532

=== debian/changelog ===
univention-management-console (12.0.12-12A~5.0.0.202108311532) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 31 Aug 2021 15:32:38 +0200

univention-management-console (12.0.12-12) unstable; urgency=medium

  * Bug #53728: hide 'Login'/'Logout' menu entry on login site

 -- Johannes Keiser <keiser@univention.de>  Tue, 31 Aug 2021 14:33:29 +0200

univention-management-console (12.0.12-11) unstable; urgency=medium

  * Bug #51659: fix UMC access if only one module without flavor is
    allowed to be accessed

 -- Florian Best <best@univention.de>  Fri, 27 Aug 2021 11:56:26 +0200

## univention-management-console 12.0.31-4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -t Internal
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  coverage   to make coverage statistics"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo
	@echo "Build finished. The coverage files are in $(BUILDDIR)/coverage."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UniventionManagementConsole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UniventionManagementConsole.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## univention-management-console 12.0.12-14A~5.0.0.202109131201

=== debian/changelog ===
univention-management-console (12.0.12-14A~5.0.0.202109131201) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 13 Sep 2021 12:01:47 +0200

univention-management-console (12.0.12-14) unstable; urgency=medium

  * Bug #53779: support + in mimetypes

 -- Florian Best <best@univention.de>  Mon, 13 Sep 2021 11:54:30 +0200

univention-management-console (12.0.12-13) unstable; urgency=medium

  * Bug #53665: fix scroll bar in menu dialogs

 -- Johannes Keiser <keiser@univention.de>  Fri, 10 Sep 2021 11:12:40 +0200

=== debian/control ===
Source: univention-management-console
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 dh-python,
 python-polib,
 python2.7,
 python3-polib,
 python3,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
Standards-Version: 3.7.2

Package: univention-management-console
Architecture: all
Depends:
 python-univention-management-console (= ${source:Version}),
 python3-univention-management-console (= ${source:Version}),
 univention-management-console-module-appcenter,
 univention-management-console-module-apps,
 univention-management-console-module-diagnostic,
 univention-management-console-module-join,
 univention-management-console-module-lib,
 univention-management-console-module-passwordchange,
 univention-management-console-module-reboot,
 univention-management-console-module-services,
 univention-management-console-module-setup,
 univention-management-console-module-sysinfo,
 univention-management-console-module-top,
 univention-management-console-module-ucr,
 univention-management-console-module-updater,
 univention-management-console-server (= ${source:Version}),
 univention-management-console-web-server (>= 5.0.5),
 ${misc:Depends},
Recommends:
 univention-management-console-module-quota,
Conflicts:
 univention-management-console-module-mrtg,
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web-frontend, which
 can be installed to provide access to one or several daemons.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-server
Architecture: all
Depends:
 cy2-saml,
 pam-saml,
 python-daemon,
 python-univention-lib (>= 1.0.25-1),
 python-univention-management-console (= ${source:Version}),
 python3-daemon,
 python3-univention-lib,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib (>= 1.0.10-1),
 univention-base-files,
 univention-directory-manager-tools (>> 7.0.147),
 ${misc:Depends},
Description: UCS Management Console - server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-management-console
Architecture: all
Depends:
 python-cryptography,
 python-notifier (>= 0.9.5-1),
 python-openssl,
 python-pam,
 python-polib,
 python-six,
 python-tornado,
 python-univention,
 python-univention-config-registry,
 python-univention-directory-manager (>=9.0.75-1),
 python-univention-lib (>= 1.0.80),
 univention-join,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: UCS Management Console - Python 2 Modules
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: python3-univention-management-console
Architecture: all
Depends:
 python3-cryptography,
 python3-daemon,
 python3-notifier,
 python3-openssl,
 python3-pam,
 python3-polib,
 python3-six,
 python3-tornado,
 python3-univention,
 python3-univention-config-registry,
 python3-univention-directory-manager,
 python3-univention-lib,
 univention-join,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UCS Management Console - Python 3 Modules
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-dev
Architecture: all
Depends:
 devscripts,
 gettext,
 imagemagick | inkscape,
 librsvg2-bin,
 python-polib,
 python-univention-config-registry,
 python3-polib,
 python3-univention-config-registry,
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 ${misc:Depends},
 ${python:Depends},
Description: UCS Management Console - development files
 UCS Management Console is a web based program to manage computers. It has
 an extensible architecture, using modules to implement its
 features. This package contains development files helping to implement
 and package own UMC module
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-frontend
Architecture: all
Depends:
 univention-apache,
 univention-management-console-login,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Breaks:
 univention-management-console-module-sysinfo (<< 7),
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the AJAX web-frontend
 application. It is written using the Dojo Toolkit and allows to
 access the univention management console web-services through
 the web browser.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-web-server
Architecture: all
Depends:
 curl,
 libapache2-mod-wsgi-py3,
 openssl,
 python-cherrypy3,
 python-daemon,
 python-defusedxml,
 python-ipaddress,
 python-monotonic,
 python-pysaml2,
 python-six,
 python-univention-management-console (= ${source:Version}),
 python3-cherrypy3,
 python3-daemon,
 python3-defusedxml,
 python3-pysaml2,
 python3-six,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib,
 univention-base-files,
 univention-management-console-frontend,
 univention-management-console-server,
 univention-saml-schema,
 ${misc:Depends},
Breaks:
 univention-saml (<< 7.0.0-4),
Description: UCS Management Console - Web server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web server providing
 HTTP access to the UMC server.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-login
Architecture: all
Depends:
 univention-apache,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Description: UCS Management Console - Login page
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the generic login page.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-management-console 12.0.12-15A~5.0.0.202109241526

=== debian/changelog ===
univention-management-console (12.0.12-15A~5.0.0.202109241526) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 24 Sep 2021 15:26:24 +0200

univention-management-console (12.0.12-15) unstable; urgency=medium

  * Bug #53817: fix traceback format of exception occuring in a thread

 -- Florian Best <best@univention.de>  Fri, 24 Sep 2021 15:23:55 +0200

## univention-management-console 12.0.12-16A~5.0.0.202110051222

=== debian/changelog ===
univention-management-console (12.0.12-16A~5.0.0.202110051222) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 05 Oct 2021 12:22:07 +0200

univention-management-console (12.0.12-16) unstable; urgency=medium

  * Bug #53465: set explicit caching control in maintenance mode

 -- Florian Best <best@univention.de>  Tue, 05 Oct 2021 12:17:27 +0200

## univention-management-console 12.0.12-18A~5.0.0.202111011244

=== debian/changelog ===
univention-management-console (12.0.12-18A~5.0.0.202111011244) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 01 Nov 2021 12:44:13 +0100

univention-management-console (12.0.12-18) unstable; urgency=medium

  * Bug #53906: fix counter for mobile tabs + close overlay if tabs
    are not visible

 -- Johannes Keiser <keiser@univention.de>  Mon, 01 Nov 2021 12:37:21 +0100

univention-management-console (12.0.12-17) unstable; urgency=medium

  * Bug #53906: The tabs when using ?overview=false query parameter are
    only hidden when there is one module open.

 -- Johannes Keiser <keiser@univention.de>  Tue, 26 Oct 2021 09:38:45 +0200

## univention-management-console 12.0.12-19A~5.0.0.202111231209

=== debian/changelog ===
univention-management-console (12.0.12-19A~5.0.0.202111231209) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 23 Nov 2021 12:09:26 +0100

univention-management-console (12.0.12-19) unstable; urgency=medium

  * Bug #52888: force re-authentication at UMC-Server when a new SAML
    message is available

 -- Florian Best <best@univention.de>  Tue, 23 Nov 2021 12:02:17 +0100

=== umc-module-templates/debian/control ===
Source: PACKAGENAME
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends: debhelper (>= 9),
 dh-python,
 univention-management-console-dev (>= 12.0.2),
 python-all,
 python3-all,
Standards-Version: 3.7.2

Package: PACKAGENAME
Architecture: all
Depends:
 ${python:Depends},
 ${python3:Depends},
 ${misc:Depends},
 univention-management-console-server (>= 11.0.4-37),
Provides:
 ${python:Provides},
 ${python3:Provides},
Description: MODULEDESC
 MODULEDESC
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Copyright 2002-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

override_dh_auto_build:
	./dev/dh-umc-module-build --core
	dh_auto_build -- --executable=/usr/bin/python3

override_dh_auto_install:
	./dev/dh-umc-module-install --core
	dh_auto_install -- --install-scripts=$(destdir)/usr/sbin

override_dh_install:
	dh_install -Xde.po

%:
	dh $@ --with python2,python3,univention-l10n,ucr

## univention-management-console 12.0.12-20A~5.0.0.202112291354

=== debian/changelog ===
univention-management-console (12.0.12-20A~5.0.0.202112291354) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 29 Dec 2021 13:54:49 +0100

univention-management-console (12.0.12-20) unstable; urgency=medium

  * Bug #54043: univention-management-console-dev must depend on
    imagemagick AND inkscape (not OR)

 -- Ildefonso González Sánchez <isanchez.extern@univention.de>  Tue, 21 Dec 2021 12:25:22 +0100

=== debian/control ===
--- 
+++ 
@@ -144,7 +144,8 @@
 Depends:
  devscripts,
  gettext,
- imagemagick | inkscape,
+ imagemagick,
+ inkscape,
  librsvg2-bin,
  python-polib,
  python-univention-config-registry,

## univention-management-console 12.0.12-22A~5.0.0.202204041241

=== debian/changelog ===
univention-management-console (12.0.12-22A~5.0.0.202204041241) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 04 Apr 2022 12:41:15 +0200

univention-management-console (12.0.12-22) unstable; urgency=medium

  * Bug #52445: fixed Development Environment warning of missing DNSanitizer

 -- Johannes Lohmer <lohmer@univention.de>  Mon, 04 Apr 2022 12:04:29 +0200

univention-management-console (12.0.12-21) unstable; urgency=medium

  * Bug #54484: add UCR variable `umc/http/cookie/samesite` to set SameSite
    attribute for UMC cookies.

 -- Christian Castens <castens@univention.de>  Thu, 10 Mar 2022 15:55:57 +0100

## univention-management-console 12.0.13-1A~5.0.0.202206161049

=== debian/changelog ===
univention-management-console (12.0.13-1A~5.0.0.202206161049) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Jun 2022 10:49:30 +0200

univention-management-console (12.0.13-1) unstable; urgency=medium

  * Bug #54706: drop Python 3 package files in templates

 -- Florian Best <best@univention.de>  Mon, 02 May 2022 12:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
  python-polib,
  python-six,
  python-tornado,
+ python-typing,
  python-univention,
  python-univention-config-registry,
  python-univention-directory-manager (>=9.0.75-1),

=== umc-module-templates/debian/control ===
--- 
+++ 
@@ -5,19 +5,16 @@
 Build-Depends: debhelper (>= 9),
  dh-python,
  univention-management-console-dev (>= 12.0.2),
- python-all,
  python3-all,
 Standards-Version: 3.7.2
 
 Package: PACKAGENAME
 Architecture: all
 Depends:
- ${python:Depends},
  ${python3:Depends},
  ${misc:Depends},
  univention-management-console-server (>= 11.0.4-37),
 Provides:
- ${python:Provides},
  ${python3:Provides},
 Description: MODULEDESC
  MODULEDESC

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# Copyright 2002-2021 Univention GmbH
+# Copyright 2002-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-management-console 12.0.13-2A~5.0.0.202209271423

=== debian/changelog ===
univention-management-console (12.0.13-2A~5.0.0.202209271423) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 27 Sep 2022 14:23:54 +0200

univention-management-console (12.0.13-2) unstable; urgency=medium

  * Bug #55229: fix SAML logout via HTTP-POST binding

 -- Florian Best <best@univention.de>  Tue, 27 Sep 2022 14:15:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Common Python and Shell Library
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2002-2022 Univention GmbH
 #

## univention-management-console 12.0.13-3A~5.0.0.202211141813

=== debian/changelog ===
univention-management-console (12.0.13-3A~5.0.0.202211141813) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 14 Nov 2022 18:13:55 +0100

univention-management-console (12.0.13-3) unstable; urgency=medium

  * Bug #55424: make SAML identiy cache configurable
  * Bug #55248: improve error handling in `pysaml2` usage
  * Bug #55423: log internal exception traces when error reporting is off

 -- Florian Best <best@univention.de>  Mon, 14 Nov 2022 13:26:54 +0100

## univention-management-console 12.0.13-4A~5.0.0.202211221123

=== debian/changelog ===
univention-management-console (12.0.13-4A~5.0.0.202211221123) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 22 Nov 2022 11:23:16 +0100

univention-management-console (12.0.13-4) unstable; urgency=medium

  * Bug #54623: add function to get a free-parametrized cached LDAP
    connection

 -- Florian Best <best@univention.de>  Tue, 15 Nov 2022 13:08:36 +0100

## univention-management-console 12.0.13-5A~5.0.0.202212112207

=== debian/changelog ===
univention-management-console (12.0.13-5A~5.0.0.202212112207) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 11 Dec 2022 22:07:10 +0100

univention-management-console (12.0.13-5) unstable; urgency=medium

  * Bug #55395: Register UMC as a Keycloak client, but ignore failure

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Thu, 24 Nov 2022 12:59:14 +0100

## univention-management-console 12.0.13-6A~5.0.0.202301301359

=== debian/changelog ===
univention-management-console (12.0.13-6A~5.0.0.202301301359) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 30 Jan 2023 13:59:11 +0100

univention-management-console (12.0.13-6) unstable; urgency=medium

  * Bug #55570: Restart apache2 before trying to register keycloak client.
    Save metadata as file for univention-keycloak

 -- Julia Bremer <bremer@univention.de>  Sat, 28 Jan 2023 21:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  dh-python,
  python-polib,
  python2.7,
+ python3,
  python3-polib,
- python3,
  univention-config-dev (>= 15.0.3),
  univention-l10n-dev (>= 7.0.1),
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2022 Univention GmbH
+# Copyright 2002-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-management-console 12.0.17-3A~5.0.0.202302071823

=== debian/changelog ===
univention-management-console (12.0.17-3A~5.0.0.202302071823) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 07 Feb 2023 18:23:44 +0100

univention-management-console (12.0.17-3) unstable; urgency=low

  * Bug #53885: Use sd_notidy() to signal services are ready

 -- Philipp Hahn <hahn@univention.de>  Tue, 07 Feb 2023 15:51:25 +0100

univention-management-console (12.0.17-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:33 +0100

univention-management-console (12.0.17-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:40 +0100

univention-management-console (12.0.16-1) unstable; urgency=medium

  * Bug #53092: Added fail checks for the join scripts

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 13:15:21 +0100

univention-management-console (12.0.15-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Thu, 02 Feb 2023 11:12:15 +0100

univention-management-console (12.0.14-1) unstable; urgency=medium

  * Bug #53885: change from init script to systemd service

 -- Florian Best <best@univention.de>  Wed, 01 Feb 2023 20:00:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python2.7,
  python3,
  python3-polib,
+ python3-sdnotify,
  univention-config-dev (>= 15.0.3),
  univention-l10n-dev (>= 7.0.1),
 Standards-Version: 3.7.2
@@ -58,6 +59,7 @@
  python-univention-lib (>= 1.0.25-1),
  python-univention-management-console (= ${source:Version}),
  python3-daemon,
+ python3-sdnotify,
  python3-univention-lib,
  python3-univention-management-console (= ${source:Version}),
  shell-univention-lib (>= 1.0.10-1),

=== debian/rules ===
--- 
+++ 
@@ -45,4 +45,4 @@
 	dh_install -Xde.po
 
 %:
-	dh $@ --with python2,python3,univention-l10n,ucr
+	dh $@ --with python2,python3,univention-l10n,ucr,systemd

## univention-management-console 12.0.17-4A~5.0.0.202302201440

=== debian/changelog ===
univention-management-console (12.0.17-4A~5.0.0.202302201440) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 20 Feb 2023 14:40:50 +0100

univention-management-console (12.0.17-4) unstable; urgency=medium

  * Bug #55726: fix UCR template for umc/http/processes/start-port
    Variable

 -- Florian Best <best@univention.de>  Mon, 20 Feb 2023 14:01:25 +0100

## univention-management-console 12.0.17-6A~5.0.0.202302241559

=== debian/changelog ===
univention-management-console (12.0.17-6A~5.0.0.202302241559) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 24 Feb 2023 15:59:40 +0100

univention-management-console (12.0.17-6) unstable; urgency=medium

  * Bug #55752: add missing Python 2 dependency

 -- Florian Best <best@univention.de>  Fri, 24 Feb 2023 11:58:15 +0100

univention-management-console (12.0.17-5) unstable; urgency=low

  * Bug #55753: Fix UMC-web-server restart during upgrade  UCS 5.0-3+572..583

 -- Philipp Hahn <hahn@univention.de>  Fri, 24 Feb 2023 07:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper,
  dh-python,
  python-polib,
+ python-sdnotify,
  python2.7,
  python3,
  python3-polib,
@@ -56,6 +57,7 @@
  cy2-saml,
  pam-saml,
  python-daemon,
+ python-sdnotify,
  python-univention-lib (>= 1.0.25-1),
  python-univention-management-console (= ${source:Version}),
  python3-daemon,
@@ -66,6 +68,8 @@
  univention-base-files,
  univention-directory-manager-tools (>> 7.0.147),
  ${misc:Depends},
+Pre-Depends:
+ univention-management-console-web-server-fix,
 Description: UCS Management Console - server
  UCS Management Console is a web based program to manage computers.
  It has an extensible architecture, using modules to implement
@@ -218,6 +222,8 @@
  univention-management-console-server,
  univention-saml-schema,
  ${misc:Depends},
+Pre-Depends:
+ univention-management-console-web-server-fix,
 Breaks:
  univention-saml (<< 7.0.0-4),
 Description: UCS Management Console - Web server
@@ -231,6 +237,10 @@
  corporate environments. For more information about UCS,
  refer to: https://www.univention.de/
 
+Package: univention-management-console-web-server-fix
+Architecture: all
+Description: UCS Management Console - Web server fix
+
 Package: univention-management-console-login
 Architecture: all
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -44,5 +44,8 @@
 override_dh_install:
 	dh_install -Xde.po
 
+override_dh_systemd_start:
+	dh_systemd_start --restart-after-upgrade
+
 %:
 	dh $@ --with python2,python3,univention-l10n,ucr,systemd

## univention-management-console 12.0.17-7A~5.0.0.202303021739

=== debian/changelog ===
univention-management-console (12.0.17-7A~5.0.0.202303021739) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 02 Mar 2023 17:39:02 +0100

univention-management-console (12.0.17-7) unstable; urgency=low

  * Bug #55776: FTBFS missing dependency python[3]-sdnotify

 -- Philipp Hahn <hahn@univention.de>  Thu, 02 Mar 2023 17:24:06 +0100

=== debian/control ===
--- 
+++ 
@@ -57,11 +57,9 @@
  cy2-saml,
  pam-saml,
  python-daemon,
- python-sdnotify,
  python-univention-lib (>= 1.0.25-1),
  python-univention-management-console (= ${source:Version}),
  python3-daemon,
- python3-sdnotify,
  python3-univention-lib,
  python3-univention-management-console (= ${source:Version}),
  shell-univention-lib (>= 1.0.10-1),
@@ -90,6 +88,7 @@
  python-openssl,
  python-pam,
  python-polib,
+ python-sdnotify,
  python-six,
  python-tornado,
  python-typing,
@@ -123,6 +122,7 @@
  python3-openssl,
  python3-pam,
  python3-polib,
+ python3-sdnotify,
  python3-six,
  python3-tornado,
  python3-univention,

## univention-management-console 12.0.17-9A~5.0.0.202303281750

=== debian/changelog ===
univention-management-console (12.0.17-9A~5.0.0.202303281750) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 28 Mar 2023 17:50:29 +0200

univention-management-console (12.0.17-9) unstable; urgency=low

  * Bug #55664: add missing translations.

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 23 Mar 2023 08:43:20 +0100

univention-management-console (12.0.17-8) unstable; urgency=low

  * Bug #55529: Add `umc/login/password-complexity-message/*` to password change error message.

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 09 Mar 2023 11:06:04 +0100

## univention-management-console 12.0.17-10A~5.0.0.202304131304

=== debian/changelog ===
univention-management-console (12.0.17-10A~5.0.0.202304131304) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 13 Apr 2023 13:04:29 +0200

univention-management-console (12.0.17-10) unstable; urgency=medium

  * Bug #55959: fix UMC-Server crashes when status is given as request
    argument

 -- Florian Best <best@univention.de>  Wed, 12 Apr 2023 14:53:56 +0200

## univention-management-console 12.0.17-12A~5.0.0.202304261406

=== debian/changelog ===
univention-management-console (12.0.17-12A~5.0.0.202304261406) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 26 Apr 2023 14:06:57 +0200

univention-management-console (12.0.17-12) unstable; urgency=medium

  * Bug #55913: use HTTP interface in univention-management-console-
    client

 -- Florian Best <best@univention.de>  Tue, 25 Apr 2023 12:29:49 +0200

univention-management-console (12.0.17-11) unstable; urgency=medium

  * Bug #55951: avoid overwritting `umc/saml/idp-server` during joinscript execution

 -- Juan Pedro Torres <torres-munoz.extern@univention.de>  Tue, 18 Apr 2023 11:59:49 +0200

## univention-management-console 12.0.17-14

=== debian/changelog ===
univention-management-console (12.0.17-14) unstable; urgency=medium

  * Bug #55632: Updated Python 2 leftovers to Python 3 and improved Python
    3.11 compatibility

 -- Mika Westphal <westphal@univention.de>  Wed, 24 May 2023 12:29:50 +0100

univention-management-console (12.0.17-13) unstable; urgency=medium

  * Bug #56069: disable soap binding for SAML slo

 -- Felix Botner <botner@univention.de>  Mon, 15 May 2023 15:14:05 +0200
